/*------------------------------------*\
    #OBJECTS.FLYOUT
\*------------------------------------*/
/**
 * Flyouts that expand when visible in browser viewport.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-flyout-border-radius: rem-calc(30px);

.#{$inuit-namespace}flyout,
%#{$inuit-namespace}flyout {
    background: none;
    width: 100%;
    max-width: 265px;
    margin: 0 auto;

    @media #{$large}{
        left: 100%;
        position: absolute;
        width: grid-calc(5, 12);
        max-width: 180px;
        background: url('../../Public/Images/png/flyout-shadow.png') no-repeat;
        background-position-y: -.5 * $drk-base-unit;
        background-size: 15px 110%;
        margin-top: -.5 * $drk-base-unit;
        /*padding: ($drk-base-unit * .5) 0;*/
        display: block;
        overflow: hidden;
    }

    @media #{$xlarge-up} {
        padding-right: 5%;
        max-width: 320px;
    }

    &__input {
        font-size: $drk-base-font-size * 2;
        text-align: center;
        width: 100%;

        &:focus,
        &:hover {
            font-size: $drk-base-font-size * 2;
            text-align: center;
        }
    }
}

.#{$inuit-namespace}flyout__body,
%#{$inuit-namespace}flyout__body {
    color: $drk-color-grey;
    font-size: $inuit-font-size-small;
    left: 0;
    margin-bottom: drk-halve($drk-base-unit);
    min-height: $drk-base-unit * 2.25;
    overflow: hidden;
    position: relative;
    transition: all .7s;
    width: 100%;

    @media #{$large-up} {
        left: -1000px;
    }

    &.is-in-viewport {
        @media #{$large-up} {
            transform: translate3d(1000px, 0, 0);
        }
    }

    .no-csstransforms3d & {
        @media #{$large-up} {
            transform: translateX(1000px);
        }
    }

}

.#{$inuit-namespace}flyout__content,
%#{$inuit-namespace}flyout__content {
    background: $drk-color-white;
    border: 1px solid $drk-color-light-red;
    border-radius: $inuit-flyout-border-radius $inuit-flyout-border-radius 0 0;
    border-width: 1px 1px 0;
    overflow: hidden;
    padding: 0;

    @media #{$medium-up} {
        background: transparent;
        border-radius: $inuit-flyout-border-radius $inuit-flyout-border-radius 0 0;
    }

    @media #{$large-up} {
        border-radius: 0 $inuit-flyout-border-radius 0 0;
        border-width: 1px 1px 0 0;
    }

    .o-media__body {
        margin: 0;
        padding: 0 20px;

        h4 {
            margin: 0 0 10px;
            word-break: normal;
        }
    }

    .o-simple-form {
        padding: 0 20px 20px;
    }

    &--full-border {
        border-radius: 0 $inuit-flyout-border-radius $inuit-flyout-border-radius 0;
        border-width: 1px 1px 1px 0;
    }

    &--newsletter {
        h1,
        h2,
        h3,
        h4,
        h5 {
            padding-left: 20px;
        }
    }
}

.#{$inuit-namespace}flyout__foot,
%#{$inuit-namespace}flyout__foot {
    border-radius: 0 0 $inuit-flyout-border-radius $inuit-flyout-border-radius;
    border: 1px solid $drk-color-light-red;
    border-top: 0;
    min-height: 30px;
    overflow: hidden;

    &--borderless {
        border: 0;
    }

    @media #{$large-up} {
        border-radius: 0 0 $inuit-flyout-border-radius 0;
        border-left: 0px;
    }

}

.#{$inuit-namespace}flyout__action,
%#{$inuit-namespace}flyout__action {
    @include inuit-font-size(19px);
    background: $drk-color-btn;
    border: 0;
    border-radius: 0 0 $inuit-flyout-border-radius $inuit-flyout-border-radius;
    color: $drk-color-white;
    display: block;
    line-height: 1.3;
    outline: none;
    padding: 20px 20px 15px 15px;
    text-align: left;
    width: 100%;

    @include drk-hover {
        background: $drk-color-btn-hover;
        text-decoration: none;
    }

    @media #{$large-up} {
        border-radius: 0 0 $inuit-flyout-border-radius;
    }
}

.#{$inuit-namespace}flyout__action-text,
%#{$inuit-namespace}flyout__action-text {
    margin-right: 0;
    display: block;
    margin-left: 1.75em;

}

.#{$inuit-namespace}flyout__action-icon,
%#{$inuit-namespace}flyout__action-icon {
    display: block;
    float: left;
    fill: currentColor;
    height: 1.1em;
}
